Syndai Docs

List plans and prices

Use a key with only read scopes. Your customer_id is in the reply to Get the calling API key.

GET
/api/v1/external/coding/purchases/tiers

Every plan (tiers[].plan_code, name, included allowance per price band) with its monthly and yearly price for each band and currency (prices['A:usd'].month), the credit packs, usd_per_credit, the usage markup and the default band and currency for the caller's country. Public pricing; needs coding:billing:read.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Query Parameters

customer_id?|null

Response Body

Request fulfilled, document follows

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://api.syndai.ai/api/v1/external/coding/purchases/tiers'
Example Response
{}
Was this page helpful?